Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		json-glib
#Epoch:		0
Version:	0.12.0
Release:	1
License:	GNU/LGPLv2	
URL:		http://ftp.gnome.org/pub/GNOME/sources/json-glib/0.10/
Group:		System/Libraries
Summary:	glib serialization and deserialization support library for the JavaScript Object Notation (JSON) format 
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:
BuildRequires: glib-devel
BuildRequires: gobject-introspection-devel
BuildRequires: zlib-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: pkg-config

%description
JSON-GLib is a library providing serialization and deserialization support for the JavaScript Object Notation (JSON) format described by RFC 4627. JSON is:

a lightweight data-interchange format. It is easy for humans to read and write. It is easy for machines to parse and generate. It is based on a subset of the JavaScript Programming Language, Standard ECMA-262 3rd Edition - December 1999. JSON is a text format that is completely language independent but uses conventions that are familiar to programmers of the C-family of languages, including C, C++, C#, Java, JavaScript, Perl, Python, and many others. These properties make JSON an ideal data-interchange language. -- From Introducing JSON

Many high-level languages already provide native modules for parsing, generating and manipulating JSON data streams. JSON-GLib is a C library based on GLib and released under the terms of the GNU Lesser General Public License version 2.1. It provides a parser and a generator GObject classes and various wrappers for the complex data types employed by JSON, such as arrays and objects.

JSON-GLib uses GLib native data types and the generic value container GValue for ease of development. It also provides integration with the GObject classes for direct serialization into, and deserialization from, JSON data streams. 

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/girepository-1.0/Json-1.0.typelib
%{_libdir}/libjson-glib-1.0.so.*
%{_datadir}/gir-1.0/Json-1.0.gir

%files devel
%defattr(-,root,root)
%{_includedir}/json-glib-1.0
%{_libdir}/libjson-glib-1.0.la                          
%{_libdir}/libjson-glib-1.0.so                          
%{_pkgconfig}/json-glib-1.0.pc                                                
%{_datadir}/gtk-doc/html/json-glib

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Dec 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.12.0-1
- version update
* Tue Feb 16 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.10.0-1
- initial CCux package release
